package be.iminds.ilabt.jfed.highlevel.jobs;

import be.iminds.ilabt.jfed.experiment.Experiment;
import javafx.beans.property.ReadOnlyObjectProperty;
import javafx.beans.property.ReadOnlyStringProperty;

import java.util.concurrent.Callable;

/**
 * User: twalcari
 * Date: 7/13/2015
 * Time: 16:28
 */
public interface Job<V> extends Callable<V> {

    Experiment getExperiment();
    String getName();

    State getState();
    String getMessage();

    ReadOnlyObjectProperty<State> stateProperty();
    ReadOnlyStringProperty messageProperty();


}
