package be.iminds.ilabt.jfed.highlevel.jobs;

import be.iminds.ilabt.jfed.experiment.ExperimentPart;
import be.iminds.ilabt.jfed.highlevel.tasks.DeleteSliversAtAuthorityTask;
import be.iminds.ilabt.jfed.highlevel.tasks.HighLevelTaskFactory;

/**
 * User: twalcari
 * Date: 12/4/2015
 * Time: 15:30
 */
public class StopExperimentAtAuthorityPartState extends SingleCallState<DeleteSliversAtAuthorityTask> {

    protected StopExperimentAtAuthorityPartState(AbstractJob<?> job, ExperimentPart experimentPart, HighLevelTaskFactory hltf) {
        super(String.format("Delete all active resources at %s", experimentPart.getName()), job,
                hltf.deleteSliversAtAuthority(experimentPart.getExperiment().getSlice(), experimentPart.getSfaAuthority()));
    }
}
